"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ClientStreamingCall = void 0;
/**
 * A client streaming RPC call. This means that the clients sends 0, 1, or
 * more messages to the server, and the server replies with exactly one
 * message.
 */
class ClientStreamingCall {
    constructor(serviceInfo, methodInfo, requestType, requestHeaders, requestStream, responseType, responseHeaders, responseMessage, responseStatus, responseTrailers, cancelFn) {
        this.serviceInfo = serviceInfo;
        this.methodInfo = methodInfo;
        this.requestType = requestType;
        this.requestHeaders = requestHeaders;
        this.requestStream = requestStream;
        this.responseType = responseType;
        this.responseHeaders = responseHeaders;
        this.responseMessage = responseMessage;
        this.responseStatus = responseStatus;
        this.responseTrailers = responseTrailers;
        this.cancelFn = cancelFn;
    }
    /**
     * Cancel this call.
     */
    cancel() {
        this.cancelFn();
    }
}
exports.ClientStreamingCall = ClientStreamingCall;
//# sourceMappingURL=client-streaming-call.js.map