"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DuplexStreamingCall = void 0;
/**
 * A duplex streaming RPC call. This means that the clients sends an
 * arbitrary amount of messages to the server, while at the same time,
 * the server sends an arbitrary amount of messages to the client.
 */
class DuplexStreamingCall {
    constructor(serviceInfo, methodInfo, requestType, requestHeaders, requestStream, responseType, responseHeaders, responseStream, responseStatus, responseTrailers, cancelFn) {
        this.serviceInfo = serviceInfo;
        this.methodInfo = methodInfo;
        this.requestType = requestType;
        this.requestHeaders = requestHeaders;
        this.requestStream = requestStream;
        this.responseType = responseType;
        this.responseHeaders = responseHeaders;
        this.responseStream = responseStream;
        this.responseStatus = responseStatus;
        this.responseTrailers = responseTrailers;
        this.cancelFn = cancelFn;
    }
    /**
     * Cancel this call.
     */
    cancel() {
        this.cancelFn();
    }
}
exports.DuplexStreamingCall = DuplexStreamingCall;
//# sourceMappingURL=duplex-streaming-call.js.map